Subject: bug#32712: closed (Re: bug#32712: Error running "create extension postgis")

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 24 Apr 2019 02:00:04 +0000

Your bug report

#32712: Error running "create extension postgis"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32712: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32712
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32712: Error running "create extension postgis"
From: Ben Sturmfels <[email-masked]>
To: Gábor Boskovits <[email-masked]>, Julien Lepiller <[email-masked]>
Cc: [email-masked]
Date: Wed, 24 Apr 2019 11:59:11 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, 12 Sep 2018, Gábor Boskovits wrote:

> Julien Lepiller <[email-masked]> ezt írta (időpont: 2018. szept. 12., Sze, 9:15):
>
>  Hi, this is a known issue. I have sent a patch for that but it wasn't
>  reviewed yet. Ideally I could also patch the postgresql service to
>  allow specifying extensions. I will try to do something about it.
>
> Hello Julien,
>
> I believe this is the patch: https://issues.guix.info/issue/32297. I
> will try to review that, this functionality is also important for me.

Thanks Julien and Gábor, I see that this patch has now been merged into
Guix and the documentation for configuring postgis is available in the
info manual under System Configuration, Services, Database Services.
I'll close this bug report now.

After modifying my service configuration, reconfiguring and running
`herd restart postgres`, I was able to create a new database and use the
`create extension postgis` command.

Folks can see the manual for details, but the configuration change is
essentially:

  (postgresql-service #:extension-packages (list postgis))

Thanks for all your work, I really appreciate this change!

Regards,
Ben

Subject: Error running "create extension postgis"
From: Ben Sturmfels <[email-masked]>
To: [email-masked]
Date: Wed, 12 Sep 2018 13:07:21 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Folks,

When I attempt to create a database with PostGIS extensions, I get an
error "could not open extension control file":

  $ createdb -O ben testdb
  $ psql testdb --command="create extension postgis"
  ERROR:  could not open extension control file "/gnu/store/6238qjlc6cl7wld3gykcfj83ajlsrmjd-postgresql-10.5/share/extension/postgis.control": No such file or directory

My GuixSD system configuration includes the PostgreSQL service and the
PostGIS package, something like this:

  (packages (cons*
            ...
            postgis
            %base-packages))

  (services (cons*
            ...
            (postgresql-service)
            %desktop-services))

If I look in the store, I see "postgis.control" in a number of places,
but definitely not in the "postgresql-10.5" directory:

  $ find /gnu/store -name postgis.control
  /gnu/store/a9bnyqpxbhskf4vz6p84k4m42li4zqc8-postgis-2.4.4/share/extension/postgis.control
  /gnu/store/8jimyykpydhppbdbp72zr4z7l0z2fblr-profile/share/extension/postgis.control

Regards,
Ben